Google Web Toolkit (Beta)
Search this site:

# Class FormSubmitCompleteEvent

public class FormSubmitCompleteEvent
extends EventObject
Event object containing information about form submission events.

## Constructors

FormSubmitCompleteEvent(Object, String) | Creates a new event with information about the source and submit results.

## Methods

getResults() | Gets the result text of the form submission.

## Constructor Detail

### FormSubmitCompleteEvent

public FormSubmitCompleteEvent(Object source, String resultHtml)
Creates a new event with information about the source and submit results.

#### Parameters

source
  the object sending the event
resultHtml
  the result html returned by the server

## Method Detail

### getResults

public String getResults()
Gets the result text of the form submission.

#### Return Value

the result html, or `null` if there was an error reading it